Bug 1676264 - zhu3d: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: zhu3d: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: zhu3d
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Siddharth Sharma
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:27 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:52:07 UTC
releng: needinfo? (siddharth.kde)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:27 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:27 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 22:27 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:27:55 UTC
zhu3d failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32513337


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix zhu3d at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
zhu3d will be orphaned. Before branching of Fedora 31,
zhu3d will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:27:57 UTC
Created attachment 1533730 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:27:58 UTC
Created attachment 1533731 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:27:59 UTC
Created attachment 1533732 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:34:24 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Fedora Release Engineering 2019-06-03 21:48:40 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Fedora Release Engineering 2019-06-17 20:43:47 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Fedora Release Engineering 2019-07-02 11:20:00 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 8 Fedora Release Engineering 2019-07-02 13:37:09 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 9 Filipe Rosset 2019-07-12 04:30:02 UTC
I'm trying to fix this package, but it still FTBFS on ppc64le, so excluding this arch for now.

Mock Version: 1.4.16
Mock Version: 1.4.16
ENTER ['do_with_status'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target ppc64le --nodeps /builddir/build/SPECS/zhu3d.spec'], chrootPath='/var/lib/mock/f31-build-16831475-1215348/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0x7fff8fe17390>timeout=172800uid=1000gid=425user='mockbuild'nspawn_args=[]unshare_net=TrueprintOutput=False)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target ppc64le --nodeps /builddir/build/SPECS/zhu3d.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'} and shell False
Building target platforms: ppc64le
Building for target ppc64le
setting SOURCE_DATE_EPOCH=1562889600
Wrote: /builddir/build/SRPMS/zhu3d-4.2.6-15.fc31.src.rpm
Child return code was: 0
ENTER ['do_with_status'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target ppc64le --nodeps /builddir/build/SPECS/zhu3d.spec'], chrootPath='/var/lib/mock/f31-build-16831475-1215348/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0x7fff8fe17390>timeout=172800uid=1000gid=425user='mockbuild'nspawn_args=[]unshare_net=TrueprintOutput=False)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target ppc64le --nodeps /builddir/build/SPECS/zhu3d.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'} and shell False
Building target platforms: ppc64le
Building for target ppc64le
setting SOURCE_DATE_EPOCH=1562889600
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.VmHqQg
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf zhu3d-4.2.6
+ /usr/bin/gzip -dc /builddir/build/SOURCES/zhu3d-4.2.6.tar.gz
+ /usr/bin/tar -xof -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd zhu3d-4.2.6
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (pri.patch):'
+ /usr/bin/patch --no-backup-if-mismatch -p1 -b --suffix .pri --fuzz=0
+ echo 'Patch #1 (zhu3d-4.2.6-qt5.patch):'
+ /usr/bin/patch --no-backup-if-mismatch -p1 --fuzz=0
+ find . -type f -print0
+ xargs -0 chmod -x
+ dos2unix readme.txt license.gpl
BUILDSTDERR: dos2unix: converting file readme.txt to Unix format...
BUILDSTDERR: dos2unix: converting file license.gpl to Unix format...
+ RPM_EC=0
BUILDSTDERR: ++ jobs -p
+ exit 0
Patch #0 (pri.patch):
patching file zhu3d.pri
patching file zhu3d.pri~
Patch #1 (zhu3d-4.2.6-qt5.patch):
patching file src/legedit.cpp
patching file src/mainwindow.cpp
patching file src/property.cpp
patching file src/usredit.cpp
patching file zhu3d.pro
patching file src/glwidget.cpp
patching file src/picedit.cpp
patching file src/ui/picedit.ui
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.mvVXtd
+ umask 022
+ cd /builddir/build/BUILD
+ cd zhu3d-4.2.6
+ QTDIR='%{_qt4_prefix}'
+ export QTDIR
+ PATH='%{_qt4_bindir}:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin'
+ export PATH
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection'
+ export FFLAGS
+ /usr/lib64/qt5/bin/qmake 'QMAKE_CFLAGS_DEBUG=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection' 'QMAKE_CFLAGS_RELEASE=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection' 'QMAKE_CXXFLAGS_DEBUG=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection' 'QMAKE_CXXFLAGS_RELEASE=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection' 'QMAKE_LFLAGS_DEBUG=-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' 'QMAKE_LFLAGS_RELEASE=-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' QMAKE_STRIP= -r IDE_LIBRARY_BASENAME=lib64
+ make -Wall
BUILDSTDERR: {standard input}: Assembler messages:
BUILDSTDERR: {standard input}:1672: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:1699: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:1725: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:1752: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:1778: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:1805: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:1831: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:2001: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:2157: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:2286: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:2343: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:2472: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:2528: Error: symbol `loop' is already defined
BUILDSTDERR: {standard input}:2657: Error: symbol `loop' is already defined
BUILDSTDERR: make: *** [Makefile:1104: main.o] Error 1
Info: creating stash file /builddir/build/BUILD/zhu3d-4.2.6/.qmake.stash
/usr/lib64/qt5/bin/uic src/ui/mainwindow.ui -o ui_mainwindow.h
/usr/lib64/qt5/bin/uic src/ui/ligedit.ui -o ui_ligedit.h
/usr/lib64/qt5/bin/uic src/ui/matedit.ui -o ui_matedit.h
/usr/lib64/qt5/bin/uic src/ui/entedit.ui -o ui_entedit.h
/usr/lib64/qt5/bin/uic src/ui/aniedit.ui -o ui_aniedit.h
/usr/lib64/qt5/bin/uic src/ui/moredit.ui -o ui_moredit.h
/usr/lib64/qt5/bin/uic src/ui/picedit.ui -o ui_picedit.h
/usr/lib64/qt5/bin/uic src/ui/funedit.ui -o ui_funedit.h
/usr/lib64/qt5/bin/uic src/ui/speedit.ui -o ui_speedit.h
/usr/lib64/qt5/bin/uic src/ui/diredit.ui -o ui_diredit.h
/usr/lib64/qt5/bin/uic src/ui/legedit.ui -o ui_legedit.h
g++ -c -pipe -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection -O3 -s -DSYSDIR=\"/usr/share/zhu3d/system\" -DDOCDIR=\"/usr/share/doc/packages/zhu3d\" -DWORKDIR=\"/usr/share/zhu3d/work\" -DTEXDIR=\"/usr/share/zhu3d/work/textures\" -Wall -W -D_REENTRANT -fPIC -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtOpenGL -isystem /usr/include/qt5/QtPrintSupport -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtCore -I. -isystem /usr/include/libdrm -I. -I/usr/lib64/qt5/mkspecs/linux-g++ -o main.o src/main.cpp
RPM build errors:
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.mvVXtd (%build)
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.mvVXtd (%build)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 736, in do_with_status
    raise exception.Error("Command failed: \n # %s\n%s" % (command, output), child.returncode)
mockbuild.exception.Error: Command failed: 
 # bash --login -c /usr/bin/rpmbuild -bb --target ppc64le --nodeps /builddir/build/SPECS/zhu3d.spec

Comment 10 Fedora Release Engineering 2019-08-08 16:52:07 UTC
The following builds were made: zhu3d-4.2.6-15.fc31 zhu3d-4.2.6-16.fc31


Note You need to log in before you can comment on or make changes to this bug.